
Redmine - Defect #25371

Git 2.9 compatibility

2017-03-20 15:50 - Tamara S

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 3.2.6   

Resolution: Fixed Affected version:  

Description

With git 2.9 I have some problems with redmine git tests.

Failure:

RepositoryGitTest#test_fetch_changesets_from_scratch [redmine/trunk/test/unit/repository_git_test.rb:139]:

Expected: 39

Actual: 38

This patch heals it.

Associated revisions

Revision 16422 - 2017-03-20 18:17 - Toshi MARUYAMA

Git 2.9 compatibility (#25371)

Revision 16424 - 2017-03-20 19:03 - Toshi MARUYAMA

Merged r16422 from trunk to 3.3-stable (#25371)

Git 2.9 compatibility.

Revision 16425 - 2017-03-20 19:05 - Toshi MARUYAMA

Merged r16422 from trunk to 3.2-stable (#25371)

Git 2.9 compatibility.

Revision 16428 - 2017-03-24 16:53 - Toshi MARUYAMA

git: use '--no-renames' option in 'show' command (#25371)

Revision 16429 - 2017-03-24 17:15 - Toshi MARUYAMA

Merged r16428 from trunk to 3.3-stable (#25371)

git: use '--no-renames' option in 'show' command.

Revision 16430 - 2017-03-24 17:18 - Toshi MARUYAMA

Merged r16428 from trunk to 3.2-stable (#25371)

git: use '--no-renames' option in 'show' command.

History

#1 - 2017-03-20 16:14 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

- Subject changed from RepositoryGitTest#test_fetch_changesets_from_scratch to Git 2.9 compatibility

- Category set to SCM

#2 - 2017-03-20 16:14 - Toshi MARUYAMA

- Tracker changed from Feature to Defect
#3 - 2017-03-20 18:58 - Toshi MARUYAMA

- Target version set to 3.2.6

#4 - 2017-03-21 03:38 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed in trunk, 3.3-stable, and 3.2-stable.

Thanks for pointing out.

#5 - 2017-03-24 16:23 - Tamara S

- Status changed from Closed to Reopened

Thank you!

Sorry for reopening (I think, there is no need for new issue), but I have problems with tests (with git 2.9) again. 

Failure:

RepositoriesGitControllerTest#test_diff_should_show_filenames [/trunk/test/functional/repositories_git_control

ler_test.rb:380]:

&lt;test.txt&gt; expected but was

&lt;copied_README&gt;..

Expected 0 to be >= 1.

 It seems, that the cure is the same

--- lib/redmine/scm/adapters/git_adapter.rb (revision 16427)

+++ lib/redmine/scm/adapters/git_adapter.rb (working copy)

@ -317,6 +317,7 @

             cmd_args << '--no-renames' if self.class.client_version_above?([2, 9])

             else

               cmd_args << "show" << "--no-color" << identifier_from

 +            cmd_args << '--no-renames' if self.class.client_version_above?([2, 9])

             end

             cmd_args << "--" <<  scm_iconv(@path_encoding, 'UTF-8', path) unless path.empty?

             diff = []

#6 - 2017-03-25 04:38 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Fixed. Thanks for pointing out.

Files

adding-no-renames.patch 821 Bytes 2017-03-20 Tamara S
